Bug 162982

Summary: ENABLE_LEGACY_ENCRYPTED_MEDIA interfaces should have a hard-coded WebKit prefix
Product: WebKit Reporter: Zan Dobersek <zan>
Component: New BugsAssignee: Zan Dobersek <zan>
Status: RESOLVED FIXED    
Severity: Normal CC: beidson, buildbot, calvaris, commit-queue, jer.noble, rniwa
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Archive of layout-test-results from ews104 for mac-yosemite-wk2
none
Patch
none
Patch none

Description Zan Dobersek 2016-10-05 13:03:11 PDT
ENABLE_LEGACY_ENCRYPTED_MEDIA interfaces should have a hard-coded WebKit prefix
Comment 1 Zan Dobersek 2016-10-05 13:16:53 PDT
To avoid conflicting interfaces between LEGACY_ENCRYPTED_MEDIA and future ENCRYPTED_MEDIA implementations, we agreed to prefix the LEGACY_ENCRYPTED_MEDIA implementations. The patch would also move these interfaces under Modules/encryptedmedia/legacy/. 

Remaining items needed for a reviewable patch:
- is it fine to prefix the Web-exposed MediaKeyNeededEvent interface, which is currently not prefixed?
- Xcode build system updates.
Comment 2 Zan Dobersek 2016-10-05 13:18:48 PDT
Created attachment 290744 [details]
Patch
Comment 3 WebKit Commit Bot 2016-10-05 13:27:27 PDT
Attachment 290744 [details] did not pass style-queue:


ERROR: Source/WebCore/html/WebKitMediaKeyError.h:39:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:40:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:41:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:42:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:43:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:44:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:54:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/CMakeLists.txt:142:  There should be exactly one empty line instead of 0 between "Modules/battery" and "Modules/encryptedmedia/legacy".  [list/emptyline] [5]
Total errors found: 9 in 28 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Zan Dobersek 2016-10-06 03:11:02 PDT
Created attachment 290805 [details]
Patch
Comment 5 WebKit Commit Bot 2016-10-06 03:15:56 PDT
Attachment 290805 [details] did not pass style-queue:


ERROR: Source/WebCore/html/WebKitMediaKeyError.h:39:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:40:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:41:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:42:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:43:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:44:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:54:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/CMakeLists.txt:142:  There should be exactly one empty line instead of 0 between "Modules/battery" and "Modules/encryptedmedia/legacy".  [list/emptyline] [5]
Total errors found: 9 in 29 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 6 Build Bot 2016-10-06 04:16:30 PDT
Comment on attachment 290805 [details]
Patch

Attachment 290805 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/2230642

New failing tests:
js/dom/global-constructors-attributes.html
Comment 7 Build Bot 2016-10-06 04:16:34 PDT
Created attachment 290809 [details]
Archive of layout-test-results from ews104 for mac-yosemite-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-yosemite-wk2  Platform: Mac OS X 10.10.5
Comment 8 Zan Dobersek 2016-10-06 04:49:40 PDT
Created attachment 290811 [details]
Patch
Comment 9 WebKit Commit Bot 2016-10-06 05:16:26 PDT
Attachment 290811 [details] did not pass style-queue:


ERROR: Source/WebCore/html/WebKitMediaKeyError.h:39:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:40:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:41:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:42:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:43:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:44:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:54:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
ERROR: Source/WebCore/CMakeLists.txt:142:  There should be exactly one empty line instead of 0 between "Modules/battery" and "Modules/encryptedmedia/legacy".  [list/emptyline] [5]
Total errors found: 9 in 34 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 10 Jer Noble 2016-10-06 09:01:09 PDT
Zan, this patch will be much easier to review if you generate the patch by hand with rename detection turned on. (i.e., `git format-patch -M -1`).
Comment 11 Zan Dobersek 2016-10-06 12:25:43 PDT
(In reply to comment #10)
> Zan, this patch will be much easier to review if you generate the patch by
> hand with rename detection turned on. (i.e., `git format-patch -M -1`).

Thanks for the tip, will use it.
Comment 12 Zan Dobersek 2016-10-07 01:08:59 PDT
Created attachment 290910 [details]
Patch
Comment 13 WebKit Commit Bot 2016-10-07 01:11:24 PDT
Attachment 290910 [details] did not pass style-queue:


ERROR: Source/WebCore/Modules/encryptedmedia/legacy/WebKitMediaKeySession.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
ERROR: Source/WebCore/Modules/encryptedmedia/legacy/WebKitMediaKeyNeededEvent.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
ERROR: Source/WebCore/Modules/encryptedmedia/legacy/WebKitMediaKeys.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
ERROR: Source/WebCore/Modules/encryptedmedia/legacy/WebKitMediaKeyMessageEvent.h:27:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:26:  Use #pragma once instead of #ifndef for header guard.  [build/header_guard] [5]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:39:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:40:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:41:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:42:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:43:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:44:  enum members should use InterCaps with an initial capital letter or initial 'k' for C-style enums.  [readability/enum_casing] [4]
ERROR: Source/WebCore/html/WebKitMediaKeyError.h:54:  Should be indented on a separate line, with the colon or comma first on that line.  [whitespace/indent] [4]
ERROR: Source/WebCore/CMakeLists.txt:142:  There should be exactly one empty line instead of 0 between "Modules/battery" and "Modules/encryptedmedia/legacy".  [list/emptyline] [5]
Total errors found: 13 in 34 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Zan Dobersek 2016-10-09 23:24:27 PDT
Comment on attachment 290910 [details]
Patch

Clearing flags on attachment: 290910

Committed r206983: <http://trac.webkit.org/changeset/206983>
Comment 15 Zan Dobersek 2016-10-09 23:24:37 PDT
All reviewed patches have been landed.  Closing bug.